Bug 870282 - hostname override logic differs from other settings
hostname override logic differs from other settings
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F18systemd
  Show dependency treegraph
 
Reported: 2012-10-25 23:39 EDT by Bill Nottingham
Modified: 2014-03-16 23:32 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-14 17:54:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2012-10-25 23:39:05 EDT
Description of problem:

For vconsole & locale-related paraemters, the preference order is:

1. distro-neutral file (/etc/vconsole.conf, etc.)
overridden by, if it exists:
2. distro-specific #ifdef'd file (/etc/sysconfig/i18n, etc.) 

For hostname, the preference order is:

1. distro-specific #ifdef'd file (/etc/sysconfig/network, etc.)
overridden by, if it exists:
2. distro-neutral file (/etc/hostname)

It likely should be consistent behavior.

Version-Release number of selected component (if applicable):

systemd-37 through systemd-195

How reproducible:

100%

Steps to Reproduce:
1. look at code
Comment 1 Lennart Poettering 2013-01-14 17:54:24 EST
I guess this is obsolete now as we now convert all files from the old format to the new format anyway via postinst scripts. Closing.

Note You need to log in before you can comment on or make changes to this bug.